#
# spec file for package tcpd (Version 7.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           tcpd
URL:            ftp://ftp.porcupine.org/pub/security/index.html
License:        Other License(s), see package
Group:          Productivity/Networking/System
Provides:       nkitb:/usr/sbin/tcpd
Autoreqprov:    on
Version:        7.6
Release:        731.2
Summary:        A security wrapper for TCP daemons
Source:         tcp_wrappers_%{version}.tar.bz2
Patch:          tcp_wrappers_%{version}.dif
Patch1:         tcp_wrappers_%{version}-ipv6-1.6.diff.gz
Patch2:         tcp_wrappers_%{version}-ipv6-fix.diff
Patch3:         tcp_wrappers_%{version}-ipv6.fix.fix.diff
Patch4:         tcp_wrappers_%{version}-ipv6.fix.fix2.diff
Patch5:         tcp_wrappers_%{version}-host_name_mapping-fix.diff
Patch6:         tcp_wrappers_%{version}-fix_options-fix.diff
Patch7:         tcp_wrappers_%{version}-shared-lib.diff
Patch8:         tcp_wrappers_%{version}-builtin.diff
Patch9:         tcp_wrappers_%{version}-multi_local_interfaces-fix.diff
Patch10:        tcp_wrappers_7.6-optflags.diff
Patch11:        tcp_wrappers_7.6-nonvoid.diff
Patch12:        tcp_wrappers_7.6-prototypes.diff
Patch13:        tcp_wrappers_7.6-hosts_ctl.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a small daemon program that can monitor and
filter incoming requests for finger, ftp, telnet, rlogin, rsh, exec,
tftp, talk, and other network services.



Authors:
--------
    Wietse Venema <wietse@wzv.win.tue.nl>

%debug_package
%package devel
Summary:        Include Files and Libraries for the TCP wrapper library
Group:          Productivity/Networking/System
Prefix:         %{_prefix}
Requires:       %{name} = %{version}
Requires:       glibc-devel

%description devel
This package contains the library and header files, which are necessary
to compile and link programs against the TCP wrapper library.



Authors:
--------
    Wietse Venema <wietse@wzv.win.tue.nl>

%prep
%setup -n tcp_wrappers_%{version}
%patch1 -p2
%patch
%patch2 -p1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12 -p1
%patch13

%build
#RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fPIE -Wformat=2"
make linux

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/{%{_lib},include,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,3,5,8}
install -m 755 tcpd tcpdchk tcpdmatch safe_finger try-from $RPM_BUILD_ROOT/usr/sbin/
install -m 644 tcpd.8 tcpdchk.8 tcpdmatch.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 hosts_access.3 $RPM_BUILD_ROOT%{_mandir}/man3/
install -m 644 hosts_access.5 hosts_options.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install -m 644 libwrap.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644 tcpd.h $RPM_BUILD_ROOT/usr/include/
install -m 644 ip6utils.h $RPM_BUILD_ROOT/usr/include/
install -d -m 755 $RPM_BUILD_ROOT/%{_lib}
install -m 644 shared/libwrap.so.0.%{version} $RPM_BUILD_ROOT/%{_lib}
cd $RPM_BUILD_ROOT/%{_lib}
ln -sf libwrap.so.0.%{version} libwrap.so.0
cd $RPM_BUILD_ROOT/%{_libdir}
ln -sf /%{_lib}/libwrap.so.0.%{version} libwrap.so

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(644,root,root,755)
%doc BLURB CHANGES DISCLAIMER README README.ipv6 README.NIS
%attr(755,root,root) /%{_lib}/libwrap.so.*
%doc %{_mandir}/man?/*
%attr(755,root,root) /usr/sbin/*

%files devel
%defattr(644,root,root,755)
/usr/include/tcpd.h
/usr/include/ip6utils.h
%{_libdir}/libwrap.a
%{_libdir}/libwrap.so

%changelog -n tcpd
* Fri Mar 31 2006 - lmichnovic@suse.cz
- fixed missing definition of hosts_ctl() in tcpd.h (hosts_ctl.diff)
  [#162303]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - schwab@suse.de
- Don't strip binaries.
* Fri Sep 16 2005 - meissner@suse.de
- fixed all implicit warnings.
* Fri Jun 24 2005 - ro@suse.de
- build with fPIE/pie
- really use RPM_OPT_FLAGS
- fix some non-void-return warnings
* Thu Jan 13 2005 - postadal@suse.cz
- fixed crashing on system with more than one network interface [#49368]
* Wed Sep 15 2004 - aj@suse.de
- Fix warnings about implicit functions to compile with GCC 4.0.
* Mon Mar 22 2004 - ro@suse.de
- installed shared lib to /%%_lib, not /usr/%%_lib
  and add symlinks (fix for part of #36514)
* Thu Feb 12 2004 - kukuk@suse.de
- Create subpackage "tcpd-devel"
* Mon Feb 09 2004 - postadal@suse.cz
- added support for compiling as shared library with soname of libwrap0 (version 7.6)
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Oct 31 2003 - postadal@suse.cz
- fixed invalid warning about "host name mismatch" [#26519, #32772]
* Wed Sep 10 2003 - postadal@suse.cz
- fixed handling patterns ending with period [#27322]
* Sat Mar 15 2003 - kukuk@suse.de
- Don't handle IPv4 netmask as Prefix length [#25409]
* Mon Dec 16 2002 - postadal@suse.cz
- added ip6utils.h to filelist [#22487]
* Fri Dec 13 2002 - postadal@suse.cz
- fixed fix_options function in libwrap.a [#22000]
- included patch ipv6-fix.diff of mludvig@suse.cz to make tcpd work
  with IPv4 and mapped IPv4 addresses. [#16162]
- turned off remote username lookups (allways_rfc931) [#22013]
* Thu Jan 10 2002 - cihlar@suse.cz
- use %%{_libdir}
* Tue Nov 20 2001 - cihlar@suse.cz
- fixed SEGFAULT in tcpdchk [#12135]
* Thu Sep 06 2001 - schwab@suse.de
- Compile with -fPIC so that it can be included in a shared library.
* Wed Sep 05 2001 - schwab@suse.de
- Add prototypes for C++.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Feb 27 2001 - cihlar@suse.cz
- fixed %%files
- clean up spec file
- bzipped sources
* Tue Apr 11 2000 - kukuk@suse.de
- Split from nkitb
